#таблица с сайтами пользователей
DROP TABLE IF EXISTS directlink_site;
create table directlink_site
(
    id_site int not null auto_increment,          #идентификатор сайта
    id_user int not null,                         #пользователь
    site varchar(255) not null,                   #адрес сайта
    datesend datetime,                            #дата добавления
    entdatecheck datetime,                        #последняя проверка
	endprcheck datetime,
	l int default 0,							  #Уровень от 0 до 3 на усмотрение админов
	checksite int default 0,					  #сколько раз тестировали
	checkbad int default 0,						  #сколько плохих проверок
    pr int default 0,
    status enum('active','ban','delete','moderate') default 'active', #статус
	id_cat int default 0,
	
        primary key(id_site),
        key(id_user),
        key(status),
		key(site),
		key(entdatecheck)
);

#таблица с рекламируемыми сайтами
DROP TABLE IF EXISTS directlink_links;
create table directlink_links
(
    id_link int not null auto_increment,          #идентификатор сайта
    id_user int not null,                         #пользователь
    url varchar(255) not null,                    #адрес сайта
    name varchar(255) not null,                   #название рекламы
    titles text,                                  #подписи к ссылкам
	description text,
	bansite text,                                  #куски доменов, на которых нельзя размещать эту ссылку
    datesend datetime,                            #дата добавления
    maxlink int default 0,                        #максимально размещаемых ссылок
    price float not null,                         #цена за месяц размещения
	catallow varchar(255) default '',
	countlink int default 0,
	showlink int default 1,
    status enum('active','ban','delete') default 'active', #статус
	minlevel int default 0,
	minpr int default 0,
        primary key(id_link),
        key(id_user),
        key(status),
		key(showlink)
);

#связка рекламодателя и вапмастера
DROP TABLE IF EXISTS directlink_code;
create table directlink_code
(
    id_code int not null auto_increment,          #идентификатор сайта
    datesend datetime,                            #дата добавления
	dateban datetime,							  #дата блокировки
    id_link int not null,                         #идентификатор сайта
    id_site int not null,                         #идентификатор рекламы
    code varchar(255) not null,                   #какой код разместил
	checkbad int default 0,							#количество плохих чеков
	checkuser date default '0000-00-00',
    #price float default 0,
    status enum('active','autoban','ban','delete','banmoney','banforever') default 'active', #статус
        primary key(id_code),
        key(id_link),
        key(id_site),
        key(status)
);

#блокировки, чтобы юзер мог удалить ссылки со своего сайта
DROP TABLE IF EXISTS directlink_codeban;
create table directlink_codeban
(
    id_codeban int not null auto_increment,          #идентификатор сайта
    datesend datetime,                            #дата добавления
    id_link int not null,                         #идентификатор сайта
    id_site int not null,                         #идентификатор рекламы
    status enum('autoban','ban','delete','banmoney') not null, #статус
        primary key(id_codeban),
        key(id_link),
        key(id_site),
        key(status)
);
